<?php
if (!defined('ABSPATH')) exit;

if (!empty($_POST['rentmy_hidden']) && (current_user_can('administrator'))) {
    $rentMynonce = $_POST['rentmy_hidden'];

    if (wp_verify_nonce($rentMynonce, 'rentMy-nonce')) {
        //Form data sent
        $rentmy_store_id = sanitize_text_field($_POST['rentmy_store_id']);
        update_option('rentmy_store_id', $rentmy_store_id);
    }

    ?>
    <div class="updated"><p><strong><?php _e('Options saved.'); ?></strong></p></div>
    <?php
} else {
    $rentmy_store_id = get_option('rentmy_store_id');
}
$nonce = wp_create_nonce('rentMy-nonce');
?>

<div class="wrap rentmy-admin-wrap">
    <div class="card rentmy-admin-header">
        <div class="rentmy-admin-pull-left">
            <img src="<?php echo esc_url(plugins_url('/assets/logo.png', __FILE__)); ?>" alt="RentMy" width="200"/>
        </div>
    </div>

    <div class="card">
        <h2><?php _e("1. Connect your RentMy account"); ?></h2>
        <p class="rentmy-admin-subtitle"><?php _e("Don't have a RentMy account? <a href=\"https://client.rentmy.co/auth/login\" target=\"_blank\" rel=\"noopener\">Get started for free</a>."); ?></p>
        <hr/>
        <form name="rentmy_form" method="post"
              action="<?php echo str_replace('%7E', '~', $_SERVER['REQUEST_URI']); ?>">
            <input type="hidden" name="rentmy_hidden" value="<?php echo $nonce; ?>">
            <table class="form-table">
                <tbody>
                <tr>
                    <th scope="row">
                        <label for="rentmy_store_id"><?php _e("Your RentMy Store ID"); ?></label>
                    </th>
                </tr>
                <tr>
                    <td>
                        <input type="text" name="rentmy_store_id" class="regular-text"
                               value="<?php echo $rentmy_store_id; ?>"/>
                        <p class="description"><?php _e("You can find your <b>Store ID</b> under <b>Settings >Widget Section</b> in your RentMy account."); ?></p>
                    </td>
                </tr>
                </tbody>
            </table>

            <p class="submit">
                <input type="submit" name="Submit" value="<?php _e('Update Options', 'rentmy_trdom') ?>"
                       class="button button-primary"/>
            </p>
        </form>
    </div>

    <div class="card">
        <h2><?php _e("2. Add your products"); ?></h2>
        <p class="bq-admin-subtitle"><?php _e("To get started, simply <b>copy</b> and <b>paste</b> this shortcode to any <b>Page</b> or <b>Post</b>."); ?></p>
        <hr/>
        <table class="form-table">
            <tbody>
            <tr>
                <th scope="row">
                    <label for="embed_code"><?php _e("Embed featured products"); ?></label>
                </th>
            </tr>
            <tr>
                <td>
                    <code>[rentmy-products]</code> OR <code>[rentmy-products data-type=featured]</code>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <label for="embed_code"><?php _e("Embed specific products"); ?></label>
                </th>
            </tr>
            <tr>
                <td>
                    <code>[rentmy-products data-products=xx,xxx,xxx data-type=products data-limit=6]</code>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
